/*	rdblksci.c 4.2		*/
/*F****************************************************************************

FUNCTION NAME:	rdblksci

ACTION:		Read count characters from the SCI serial hardware.

PARAMETERS:
		array:	address of an array of bytes to be written to.
		count:	number of bytes to read from port C.

RETURNS:	(void)

******************************************************************************/

#include <hc11/directives.h>

SMALL
void rdblksci(array, count)

	unsigned short	*array;		/* pointer to data to be read */
	int		count;		/* number of bytes to be read */

	{

	/****************************************************************/
	/*	Note that "while ((count--) > 0)" is equivalent to	*/
	/*	"while ((--count) >= 0)" but the pre-decrement		*/
	/*	version is more efficient than the post-decrement	*/
	/*	version.						*/
	/****************************************************************/

	while ((--count) >= 0)
		*(array++) = rdbytsci();

	}	/* end of rdblksci	*/
